Bug 1304601 - Documentation for "orphans find" tool
Documentation for "orphans find" tool
Status: CLOSED CURRENTRELEASE
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation (Show other bugs)
1.3.2
Unspecified Unspecified
medium Severity medium
: rc
: 1.3.2
Assigned To: Aron Gunn
ceph-qe-bugs
: Documentation, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 01:14 EST by shilpa
Modified: 2016-03-01 03:21 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 03:21:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shilpa 2016-02-04 01:14:11 EST
Description of problem:
Need to document the RGW orphans tool usage. https://bugzilla.redhat.com/show_bug.cgi?id=1254398. 

The commands are: 

#radosgw-admin orphans find --pool=<data pool> --job-id=<name> [--num-shards=<num shards>] [--orphan-stale-secs=<seconds>]
#radosgw-admin orphans finish --job-id=<job_name>


Version-Release number of selected component (if applicable):
1.3.2

Upstream discussion:
https://www.mail-archive.com/ceph-users@lists.ceph.com/msg19654.html
Comment 2 Ken Dreyer (Red Hat) 2016-02-05 12:19:41 EST
Feel free to borrow from https://github.com/ceph/ceph/pull/7524
Comment 11 shilpa 2016-02-16 02:03:33 EST
Hi Aron,

It would be nice to add Yehuda's C#10 to the doc. We should be more specific in what cases do objects leave behind orphans.  


Also, there is a prerequisite to running " radosgw-admin orphans find" command.

The tool tries to open a radosgw log pool and fails. A log pool needs to exist prior to running the above command. The following command on the admin node should do it:

$ rados mkpool .log
Comment 12 shilpa 2016-02-16 12:24:00 EST
Also, would be nice to add description for each option. For example:

option: --pool
Data pool to scan for leaked rados objects

option: --num-shards
Number of shards to use for keeping the temporary scan info
Comment 14 shilpa 2016-02-17 03:25:35 EST
Thanks Aron. Doc looks fine. Moving the BZ to verified.

Note You need to log in before you can comment on or make changes to this bug.